package com.example.civilizedcity.common;

import cn.dev33.satoken.stp.StpUtil;
import com.example.civilizedcity.entity.SysUser;
import com.example.civilizedcity.entity.TaPerson;
import com.example.civilizedcity.service.SysUserService;
import com.example.civilizedcity.service.TaPersonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class BaseController {

    @Autowired
    protected SysUserService sysUserService;

    @Autowired
    protected TaPersonService taPersonService;

    public SysUser currentUser() throws Exception {
        String loginId = StpUtil.getLoginIdAsString();
        if (StringUtils.isEmpty(loginId)) {
            throw new Exception("请先登录");
        }

        SysUser user = sysUserService.getById(loginId);
        if (user == null || user.getStatus() == Constants.STATUS_DELETE) {
            throw new Exception("人员不存在");
        }

        return user;
    }

    public TaPerson currentPerson() throws Exception {
        String loginId = StpUtil.getLoginIdAsString();
        if (StringUtils.isEmpty(loginId)) {
            throw new Exception("请先登录");
        }

        TaPerson taPerson = taPersonService.getById(loginId);
        if (taPerson == null || taPerson.getStatus() == Constants.STATUS_DELETE) {
            throw new Exception("人员不存在");
        }

        return taPerson;
    }
}
