package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 点位问题;
 * @author : http://www.chiner.pro
 * @date : 2022-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "点位问题",description = "")
@TableName("td_loc_question")
public class TdQuestion implements Serializable,Cloneable{
    /** 问题ID */
    @ApiModelProperty(name = "问题ID",notes = "")
    @TableId(value = "qu_id", type = IdType.INPUT)
    private String quId ;
    /** 点位ID */
    @ApiModelProperty(name = "点位ID",notes = "")
    private String locId ;
    /** 问题类型;radio 单选, fill 填空题 */
    @ApiModelProperty(name = "问题类型",notes = "radio 单选, fill 填空题")
    private String quType ;
    /** 问题描述 */
    @ApiModelProperty(name = "问题描述",notes = "")
    private String title ;
    /** 正确答案 */
    @ApiModelProperty(name = "正确答案",notes = "")
    private String rightAnswers ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}